#ifndef _xcollage_H_
#define _xcollage_H_


enum{
	XCOLLAGE_SEAMLESS_OFF =  0,
	XCOLLAGE_SEAMLESS_ON,
	XCOLLAGE_SEAMLESS_U,
	XCOLLAGE_SEAMLESS_V,

	XCOLLAGE_DEPTH_COLOR_MODE_IMAGE = 0,
	XCOLLAGE_DEPTH_COLOR_MODE_IMAGE_ALPHA = 1,
	XCOLLAGE_DEPTH_COLOR_MODE_IMAGE_CANVAS = 2,

	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_NONE = 0,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_RANDOM = 1,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_U = 2,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_IU = 3,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_V = 4,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_IV = 5,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_RAD = 6,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_IRAD = 7,
	XCOLLAGE_DISRIBUTE_ZSORT_TYPE_SHADER = 8,


	XCOLLAGE_ALPHA_IMAGE		= 0,
	XCOLLAGE_ALPHA_SHADER		= 1,
	XCOLLAGE_ALPHA_RADIAL		= 2,
	XCOLLAGE_ALPHA_RADIAL_TURB	= 3,
	XCOLLAGE_ALPHA_SQUARE		= 4,
	XCOLLAGE_ALPHA_SQUARE_ROUND	= 5,
	XCOLLAGE_ALPHA_SQUARE2		= 6,
	XCOLLAGE_ALPHA_HEX			= 7,
	XCOLLAGE_ALPHA_STAR			= 8,
	XCOLLAGE_ALPHA_END			= 9,



	XCOLLAGE_DISRIBUTE_BRUSH_SORT_ITTERATE  = 0,
	XCOLLAGE_DISRIBUTE_BRUSH_SORT_RANDOM = 2,
	XCOLLAGE_DISRIBUTE_BRUSH_SORT_FRONT  = 3,
	XCOLLAGE_DISRIBUTE_BRUSH_SORT_BACK   = 4,
	XCOLLAGE_DISRIBUTE_BRUSH_SORT_SHADER = 5,


	_XCOLLAGE0_END_
};


enum
{
	//////////////////////////////////////////////////////////////////////////
	
	XCOLLAGE_SEED	 =	1000,
	XCOLLAGE_COUNT,
	XCOLLAGE_SCALE_MIN,
	XCOLLAGE_SCALE_MAX,
	XCOLLAGE_ROTATION_MIN,
	XCOLLAGE_ROTATION_MAX,
	XCOLLAGE_ROTATION_QUANTIZE,
	

	XCOLLAGE_MIRROR_U = 1020,
	XCOLLAGE_SEAMLESS,
	XCOLLAGE_KEEP_RELATIVE,
	XCOLLAGE_KEEP_SIZE_PIXEL,

	XCOLLAGE_LANDSCAPE_MODE = 1030,

	
	XCOLLAGE_DEPTH_FX	=  1040,
	XCOLLAGE_DEPTH_FX_DARKEN,
	XCOLLAGE_DEPTH_FX_DARKEN_ENABLE,
	XCOLLAGE_DEPTH_FX_BLURR,
	XCOLLAGE_DEPTH_FX_BLURR_ENABLE,
	XCOLLAGE_DEPTH_FX_DESATURATE,
	XCOLLAGE_DEPTH_FX_DESATURATE_ENABLE,
	XCOLLAGE_DEPTH_FX_OUTLINE,
	XCOLLAGE_DEPTH_FX_OUTLINE_ENABLE,

	XCOLLAGE_DEPTH_FX_DEPTH_MIN,
	XCOLLAGE_DEPTH_FX_DEPTH_MAX,
	


	XCOLLAGE_ANIMATE_GROUP = 1080,
		XCOLLAGE_ANIMATE_SPIN,
		XCOLLAGE_ANIMATE_SPIN_VAR,
		XCOLLAGE_ANIMATE_SPIN_Z,

		XCOLLAGE_ANIMATE_HEADING,
		XCOLLAGE_ANIMATE_HEADING_VAR,
		XCOLLAGE_ANIMATE_HEADING_Z,

		XCOLLAGE_ANIMATE_HEADING_VEL,
		XCOLLAGE_ANIMATE_HEADING_VEL_VAR,
		XCOLLAGE_ANIMATE_HEADING_VEL_Z,

		XCOLLAGE_ANIMATE_LIFE,
		XCOLLAGE_ANIMATE_LIFE_VAR,
		XCOLLAGE_ANIMATE_LIFE_Z,

		XCOLLAGE_ANIMATE_LOOP = 1100,


	XCOLLAGE_GAMMA_VARIATION = 1105,

	XCOLLAGE_DISRIBUTE= 1110,
	XCOLLAGE_DISRIBUTE_MASK_SHADER, 
	XCOLLAGE_DISRIBUTE_SCALE_SHADER,
	XCOLLAGE_DISRIBUTE_FUTURE0_SHADER,
	XCOLLAGE_DISRIBUTE_FUTURE1_SHADER,
	XCOLLAGE_DISRIBUTE_FUTURE2_SHADER,

	XCOLLAGE_DISRIBUTE_ZSORT_TYPE,
	XCOLLAGE_DISRIBUTE_ZSORT_SEED,
	XCOLLAGE_DISRIBUTE_ZSORT_SHADER,
	XCOLLAGE_DISRIBUTE_ZSORT_FUTURE0,
	XCOLLAGE_DISRIBUTE_ZSORT_FUTURE1,

	XCOLLAGE_DISRIBUTE_BRUSH_SORT,
	XCOLLAGE_DISRIBUTE_BRUSH_SEED,
	XCOLLAGE_DISRIBUTE_BRUSH_SHADER,
	XCOLLAGE_DISRIBUTE_BRUSH_FUTURE1,
	XCOLLAGE_DISRIBUTE_BRUSH_FUTURE0,

	
	XCOLLAGE_SHADER_COUNT	= 1190,
	XCOLLAGE_SHADER_ADD		= 1191,
	XCOLLAGE_SHADER_SUB		= 1192,
	XCOLLAGE_SHADER_GRAB	= 1193,
	XCOLLAGE_SHADER_GUI	= 1194,

	XCOLLAGE_SHADER_GROUP	= 1197,
	XCOLLAGE_CANVAS	= 1198,
	XCOLLAGE_CANVAS_ASPECT = 1199,
	
	XCOLLAGE_SHADER_GROUP_DYNAMIC = 2000,
	XCOLLAGE_SHADER0 = 2200,
	XCOLLAGE_SHADER_ASPECT0,
	XCOLLAGE_SHADER_AXIS0,
	XCOLLAGE_SHADER_IMAGE_ALPHA_MODE0,
	XCOLLAGE_SHADER_IMAGE_SCALE0,
	XCOLLAGE_SHADER_IMAGE_COLOR_MODE0,
	XCOLLAGE_SHADER_IMAGE_COLOR0,
	XCOLLAGE_SHADER_IMAGE_FALLOFF0,



	_XCOLLAGE1_END_
};

#endif

